## tetex-brev 4.22-2

=== Makefile ===
# Nothing to be done for target 'all'.
all: demo.dvi eksempel.dvi

clean:
	$(RM) -f eksempel.log eksempel.aux eksempel.dvi
	$(RM) -f demo.log demo.aux demo.dvi
	$(RM) -f .#* debian/.#*

tests: ekempel.dvi

eksempel.dvi: eksempel.tex brev.cls
	latex eksempel

demo.dvi: demo.tex brev.cls
	latex demo

debs:
	fakeroot debian/rules binary

PACKAGE = tetex-brev

DESTDIR = /
prefix  = /usr/local
clsdir  = $(DESTDIR)$(prefix)/share/texmf/tex/latex/latex-brev
docdir  = $(DESTDIR)$(prefix)/share/doc/$(PACKAGE)
sitelispdir = $(DESTDIR)$(prefix)/share/emacs/site-lisp

install: eksempel.dvi demo.dvi
	mkdir -p $(clsdir) $(docdir)
	cp brev.cls giro.cls $(clsdir)
	cp brev.el $(sitelispdir)
	cp README eksempel.tex eksempel.dvi demo.tex demo.dvi $(docdir)

=== debian/changelog ===
tetex-brev (4.22-2) unstable; urgency=low

  * debian/rules: Remove unused code.
  * debian/control: Changed to use latest standard version (3.6.1.0).
  * debian/control: Improved short description a bit, and got rid of
      lintian warning.
  * debian/copyright: Get rid of lintian warning.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 Feb 2004 09:54:09 +0100

tetex-brev (4.22-1) unstable; urgency=low

  * New upstream version.
    - Added danish translation.
    - Minor LaTeX code fixes.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  1 Dec 2003 00:28:20 +0100

tetex-brev (4.19-4) unstable; urgency=low

  * Add tetex-extra to build-depend-indep to find the ecrm1000
    font. (Closes: #191543)

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  1 May 2003 23:39:47 +0200

tetex-brev (4.19-3) unstable; urgency=low

  * Fix makefile target for building of demo.dvi.
  * Add tetex-bin to build-depends-indep. (Closes: #190702)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 25 Apr 2003 10:49:14 +0200

tetex-brev (4.19-2) unstable; urgency=low

  * Updated eksempel.tex and brev.el from upstream.
  * Added README and demo.tex now included in upstream.
  * Remove patch to undo \Letter@Date change in v4.19.  The correct
    fix is to change the date format in eksempel.tex to use ISO formatted
    dates (YYYY-MM-DD).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Jan 2003 10:39:37 +0100

tetex-brev (4.19-1) unstable; urgency=low

  * New upstream v4.19, this time with GPL license.
  * First upload into Debian (Closes: #177645).
  * Made new debian/ subdirectory using dh_make.  Now build-depends on
    debhelper.
  * Updated description.
  * Changed Section from 'unknown' to 'tex'.
  * Updated URL to upstream source.
  * Changed architecture from any to all, as this package isn't
    platform dependent.
  * Upgraded standards-version from 3.2.1 to 3.5.8.
  * Install giro.cls and brev.el too.
  * Change install location for class from
    /usr/share/texmf/tex/latex/misc/ to
    /usr/share/texmf/tex/latex/latex-brev/.
  * Add postinst script to regenerate the LaTeX index files.
  * Undo \Letter@Date change in v4.19 to avoid error from latex.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Jan 2003 00:54:01 +0100

tetex-brev (4.16-1) unstable; urgency=low

  * Initial release, used by Skolelinux. 

 -- Petter Reinholdtsen <pere@hungry.com>  Mon, 29 Oct 2001 15:30:48 +0100

=== debian/control ===
Source: tetex-brev
Section: tex
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), tetex-bin, tetex-extra
Standards-Version: 3.6.1.0

Package: tetex-brev
Architecture: all
Depends: tetex-base, tetex-bin
Description: Norwegian A4 letter style for LaTeX
 A little LaTeX letter class for personal letters.  It is called ``brev''
 because that is the Norwegian name for letter, and for avoiding name
 clashes with the standard LaTeX letter class.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tetex-brev.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tetex-brev prefix=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installemacsen
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tetex-brev 4.22.3

=== Makefile ===
--- 
+++ 
@@ -30,3 +30,9 @@
 	cp brev.cls giro.cls $(clsdir)
 	cp brev.el $(sitelispdir)
 	cp README eksempel.tex eksempel.dvi demo.tex demo.dvi $(docdir)
+
+update-upstream:
+	for f in brev.cls giro.cls eksempel.tex demo.tex brev.el ; do \
+		rm -f $$f ; \
+		wget http://home.online.no/~asgeinil/latex/$$f ; \
+	done

=== debian/changelog ===
tetex-brev (4.22.3) unstable; urgency=low

  * Move to Standards-Version 3.6.2.  No change needed.
  * Increase debhelper compat level from 3 to 4.
  * New rules target buildfromcvs to build package without the CVS
    directories and get rid of lintian errors.
  * Make package a native package.  There is no upstream tarball.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 23 Dec 2005 19:10:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), tetex-bin, tetex-extra
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2
 
 Package: tetex-brev
 Architecture: all

## tetex-brev 4.22.5

=== debian/changelog ===
tetex-brev (4.22.5) unstable; urgency=low

  * Update dependencies to use texlive-latex-base as an alterntive to
    tetex-bin, and drop tetex-base. (Closes: #419234)
  * Update from standards-version 3.6.2 to 3.7.2.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 22 Jun 2007 13:36:57 +0100

tetex-brev (4.22.4) unstable; urgency=low

  * Add giro.text from upstream to have a example for the giro class.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  9 Feb 2007 22:25:43 +0100

=== debian/control ===
Source: tetex-brev
Section: tex
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), tetex-bin, tetex-extra
Standards-Version: 3.7.2

Package: tetex-brev
Architecture: all
Depends: texlive-latex-base | tetex-bin
Description: Norwegian A4 letter style for LaTeX
 A little LaTeX letter class for personal letters.  It is called ``brev''
 because that is the Norwegian name for letter, and for avoiding name
 clashes with the standard LaTeX letter class.

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,13 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+PACKAGE = tetex-brev
 
 configure: configure-stamp
 configure-stamp:
@@ -31,7 +33,6 @@
 
 clean:
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
@@ -45,8 +46,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tetex-brev.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tetex-brev prefix=/usr
+	# Add here commands to install the package into debian/$(PACKAGE)
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE) prefix=/usr
 
 
 # Build architecture-independent files here.
@@ -73,5 +74,16 @@
 	dh_md5sums
 	dh_builddeb
 
+buildfromcvs:
+	version=`dpkg-parsechangelog | grep Version: | awk '{print $$2}'`; \
+	module=`cat CVS/Repository`; \
+	rm -rf -- "../$(PACKAGE)-$$version" "$(PACKAGE)-$$version;" \
+	echo cvs export -rHEAD -d$(PACKAGE)-$$version $$module; \
+	cvs export -rHEAD -d$(PACKAGE)-$$version $$module; \
+	find $(PACKAGE)-$$version -name .cvsignore |xargs rm ; \
+	mv $(PACKAGE)-$$version ..; \
+	cp debian/changelog ../$(PACKAGE)-$$version/debian/changelog; \
+	(cd ../$(PACKAGE)-$$version && debuild)
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## tetex-brev 4.22.6

=== debian/changelog ===
tetex-brev (4.22.6) unstable; urgency=low

  * Change build depend from tetex-bin and tetex-extra to
    texlive-latex-base and texlive-latex-recommended to find latex and
    the ecrm1000 font (Closes: #562379).
  * Update standards-version from 3.7.2 to 3.8.4.  No changes needed.
  * Increase debhelper compat level from 4 to 7.  Adjust build rules
    to behave better.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Feb 2010 20:31:11 +0100

=== debian/control ===
Source: tetex-brev
Section: tex
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>> 7)
Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended
Standards-Version: 3.8.4

Package: tetex-brev
Architecture: all
Depends: ${misc:Depends}, texlive-latex-base, texlive-latex-recommended
Description: Norwegian A4 letter style for LaTeX
 A little LaTeX letter class for personal letters.  It is called ``brev''
 because that is the Norwegian name for letter, and for avoiding name
 clashes with the standard LaTeX letter class.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE = tetex-brev

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE) prefix=/usr


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:
# We have nothing to do by default.

buildfromcvs:
	version=`dpkg-parsechangelog | grep Version: | awk '{print $$2}'`; \
	module=`cat CVS/Repository`; \
	rm -rf -- "../$(PACKAGE)-$$version" "$(PACKAGE)-$$version;" \
	echo cvs export -rHEAD -d$(PACKAGE)-$$version $$module; \
	cvs export -rHEAD -d$(PACKAGE)-$$version $$module; \
	find $(PACKAGE)-$$version -name .cvsignore |xargs rm ; \
	mv $(PACKAGE)-$$version ..; \
	cp debian/changelog ../$(PACKAGE)-$$version/debian/changelog; \
	(cd ../$(PACKAGE)-$$version && debuild)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tetex-brev 4.22.6+nmu1

=== debian/changelog ===
tetex-brev (4.22.6+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop debian/postinst, call dh_installtex in debian/rules,
    and build depend on tex-common. This causes the package to
    no longer create files in /usr/local (Closes: #669393).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 24 Jun 2012 19:07:14 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>> 7)
+Build-Depends: debhelper (>> 7), tex-common
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended
 Standards-Version: 3.8.4

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	dh_installman
 	dh_installinfo
 	dh_installchangelogs 
+	dh_installtex
 	dh_link
 	dh_strip
 	dh_compress

## tetex-brev 4.22.8

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 
 demo.dvi: demo.tex brev.cls
 	latex demo
+
+giro.dvi: giro.tex giro.cls
+	latex giro
 
 debs:
 	fakeroot debian/rules binary
@@ -32,7 +35,7 @@
 	cp README eksempel.tex eksempel.dvi demo.tex demo.dvi $(docdir)
 
 update-upstream:
-	for f in brev.cls giro.cls eksempel.tex demo.tex brev.el ; do \
+	for f in brev.cls giro.cls eksempel.tex demo.tex brev.el giro.tex ; do \
 		rm -f $$f ; \
 		wget http://home.online.no/~asgeinil/latex/$$f ; \
 	done

=== debian/changelog ===
tetex-brev (4.22.8) unstable; urgency=low

  * Add homepage info in the control file now that the upstream project
    is available from github.
  * Update copyright file with new URL and email address.
  * Really drop postinst reintroduced by mistake in 4.22.7.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Oct 2013 00:34:40 +0200

tetex-brev (4.22.7) unstable; urgency=low

  * Acknowlege NMU.  Thank you very much, Andrew Starr-Bochicchio. :)
  * Build-depend on texlive-lang-european | texlive-latex-base (<<
    2013.20130918-1) to make sure the needed language rules are
    available (Closes: #712358).  Thank you Norbert Preining for
    the tip.
  * Update standards-version from 3.8.4 to 3.9.4.  No changes needed.
  * Adjust copyright file to make the copyright status clearer.
  * Rewrite rules file to use dh and build-depend on
    debhelper (>= 7.0.50~) to get it working.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Oct 2013 23:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: tex
 Priority: optional
 Maintainer: Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>> 7), tex-common
-Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~) , tex-common
+Build-Depends-Indep: texlive-latex-base, texlive-lang-european | texlive-latex-base (<< 2013.20130918-1), texlive-latex-recommended
+Standards-Version: 3.9.4
+Homepage: https://github.com/asgeirn/brev-cls
 
 Package: tetex-brev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with tex

override_dh_auto_install:
	dh_auto_install -- prefix=/usr


buildfromcvs:
	PACKAGE=`dpkg-parsechangelog | awk '/^Source: / { print $$2}'` ; \
	version=`dpkg-parsechangelog | awk '/^Version: / {print $$2}'`; \
	module=`cat CVS/Repository`; \
	rm -rf -- "../$$PACKAGE-$$version" "$$PACKAGE-$$version;" \
	echo cvs export -rHEAD -d$$PACKAGE-$$version $$module; \
	cvs export -rHEAD -d$$PACKAGE-$$version $$module; \
	find $$PACKAGE-$$version -name .cvsignore |xargs rm ; \
	mv $$PACKAGE-$$version ..; \
	cp debian/changelog ../$$PACKAGE-$$version/debian/changelog; \
	(cd ../$$PACKAGE-$$version && debuild)

## tetex-brev 4.22.github.20140417

=== Makefile ===
--- 
+++ 
@@ -33,9 +33,3 @@
 	cp brev.cls giro.cls $(clsdir)
 	cp brev.el $(sitelispdir)
 	cp README eksempel.tex eksempel.dvi demo.tex demo.dvi $(docdir)
-
-update-upstream:
-	for f in brev.cls giro.cls eksempel.tex demo.tex brev.el giro.tex ; do \
-		rm -f $$f ; \
-		wget http://home.online.no/~asgeinil/latex/$$f ; \
-	done

=== debian/changelog ===
tetex-brev (4.22.github.20140417-3) unstable; urgency=medium

  * Added 02_no-dvi-timestamp.patch to make package build reproducable.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 05 Feb 2016 08:43:41 +0100

tetex-brev (4.22.github.20140417-2) unstable; urgency=low

  * Added texlive-lang-european | texlive-latex-base (<< 2013.20130918-
    1) as binary dependency in addition to build dependency, to fix
    problem discovered by autopkgtest.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 18 Apr 2014 20:41:59 +0200

tetex-brev (4.22.github.20140417-1) unstable; urgency=low

  * Move package source to collab-maint git.  Add Vcs-Git and Vcs-Browser
    control file fields.
  * Update Standards-Version from 3.9.4 to 3.9.5.  No changes needed.
  * Add autopkgtest self test code using the test code already available
    in the  upstream makefile.
  * Move to package format 3.0 (quilt), and fetch upstream tarball from
    github.
  * New patch 01_clean.patch to fix test target and make clean target
    more complete.
  * Add texlive-fonts-recommended as build and binary depend, to make
    sure the testsuite work as it should.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Apr 2014 11:00:48 +0200

=== debian/control ===
Source: tetex-brev
Section: tex
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 7.0.50~) , tex-common
Build-Depends-Indep: texlive-latex-base, texlive-lang-european | texlive-latex-base (<< 2013.20130918-1), texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.9.5
Homepage: https://github.com/asgeirn/brev-cls
Vcs-Git: git://anonscm.debian.org/collab-maint/tetex-brev
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tetex-brev.git
XS-Testsuite: autopkgtest

Package: tetex-brev
Architecture: all
Depends: ${misc:Depends}, texlive-latex-base, texlive-lang-european | texlive-latex-base (<< 2013.20130918-1), texlive-latex-recommended, texlive-fonts-recommended
Description: Norwegian A4 letter style for LaTeX
 A little LaTeX letter class for personal letters.  It is called ``brev''
 because that is the Norwegian name for letter, and for avoiding name
 clashes with the standard LaTeX letter class.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with tex

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

## tetex-brev 4.24

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,23 @@
+LATEX = latex --output-comment=""
+
 # Nothing to be done for target 'all'.
 all: demo.dvi eksempel.dvi
 
 clean:
 	$(RM) -f eksempel.log eksempel.aux eksempel.dvi
-	$(RM) -f demo.log demo.aux demo.dvi
+	$(RM) -f demo.log demo.aux demo.dvi giro.aux giro.log
 	$(RM) -f .#* debian/.#*
 
-tests: ekempel.dvi
+tests: eksempel.dvi
 
 eksempel.dvi: eksempel.tex brev.cls
-	latex eksempel
+	$(LATEX) eksempel
 
 demo.dvi: demo.tex brev.cls
-	latex demo
+	$(LATEX) demo
 
 giro.dvi: giro.tex giro.cls
-	latex giro
+	$(LATEX) giro
 
 debs:
 	fakeroot debian/rules binary

=== debian/changelog ===
tetex-brev (4.24-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Petter Reinholdtsen ]
  * Updated d/watch to match current github.
  * Correct comment in autopkgtest script.
  * Reformatted files using wrap-and-sort.
  * Update standards version to 4.6.2, no changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Feb 2023 07:24:35 +0100

tetex-brev (4.24-1) unstable; urgency=medium

  * Imported new upstream version 4.24.
    - Dropped patches now applied upstream.
  * Added d/watch file to track upstream version from github.
  * Converted d/copyright file to DEP5 format.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Sep 2021 06:54:57 +0200

tetex-brev (4.22.github.20140417-4) unstable; urgency=medium

  * Moved packaging to salsa git repository.
  * Updated Standards-Version from 3.9.5 to 4.6.0
  * Document in d/control no root access is needed.
  * Removed useless trailing whitespace from d/changelog.
  * Corrected typo in changelog discovered by Lintian.
  * Added patch header to 01_clean.patch.
  * Dropped obsolete XS-Testsuite setting from d/control.
  * Updated dh compat level from 9 to 13.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Sep 2021 16:41:09 +0200

=== debian/control ===
Source: tetex-brev
Section: tex
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper-compat (= 13), tex-common
Build-Depends-Indep: texlive-fonts-recommended,
                     texlive-lang-european | texlive-latex-base (<< 2013.20130918-1),
                     texlive-latex-base,
                     texlive-latex-recommended
Standards-Version: 4.6.2
Homepage: https://github.com/asgeirn/brev-cls
Vcs-Browser: https://salsa.debian.org/debian/tetex-brev
Vcs-Git: https://salsa.debian.org/debian/tetex-brev.git
Rules-Requires-Root: no

Package: tetex-brev
Architecture: all
Depends: texlive-fonts-recommended,
         texlive-lang-european | texlive-latex-base (<< 2013.20130918-1),
         texlive-latex-base,
         texlive-latex-recommended,
         ${misc:Depends}
Description: Norwegian A4 letter style for LaTeX
 A little LaTeX letter class for personal letters.  It is called ``brev''
 because that is the Norwegian name for letter, and for avoiding name
 clashes with the standard LaTeX letter class.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tetex-brev-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/asgeirn/brev-cls/tags .*/v?(\d\S*)\.tar\.gz

## tetex-brev 5.00

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,31 @@
 LATEX = latex --output-comment=""
+PDFLATEX = pdflatex --output-comment=""
 
 # Nothing to be done for target 'all'.
 all: demo.dvi eksempel.dvi
 
 clean:
-	$(RM) -f eksempel.log eksempel.aux eksempel.dvi
-	$(RM) -f demo.log demo.aux demo.dvi giro.aux giro.log
+	$(RM) -f eksempel.log eksempel.aux eksempel.dvi eksempel.pdf
+	$(RM) -f demo.log demo.aux demo.dvi demo.pdf
+	$(RM) -f giro.aux giro.log giro.dvi giro.pdf
 	$(RM) -f .#* debian/.#*
 
 tests: eksempel.dvi
 
 eksempel.dvi: eksempel.tex brev.cls
 	$(LATEX) eksempel
+eksempel.pdf: eksempel.tex brev.cls
+	$(PDFLATEX) eksempel
 
 demo.dvi: demo.tex brev.cls
 	$(LATEX) demo
+demo.pdf: demo.tex brev.cls
+	$(PDFLATEX) demo
 
 giro.dvi: giro.tex giro.cls
 	$(LATEX) giro
+giro.pdf: giro.tex giro.cls
+	$(PDFLATEX) giro
 
 debs:
 	fakeroot debian/rules binary

=== debian/changelog ===
tetex-brev (5.00-1) unstable; urgency=medium

  * New upstream version 5.00.
  * Added suggests on texlive-fonts-extra used by giro.cls.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 20 Jun 2024 23:06:32 +0200

tetex-brev (4.24-3) unstable; urgency=medium

  * Include patch from upstream to switch to UTF-8.
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 03 Jun 2024 15:55:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      texlive-lang-european | texlive-latex-base (<< 2013.20130918-1),
                      texlive-latex-base,
                      texlive-latex-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/asgeirn/brev-cls
 Vcs-Browser: https://salsa.debian.org/debian/tetex-brev
 Vcs-Git: https://salsa.debian.org/debian/tetex-brev.git
@@ -20,6 +20,7 @@
          texlive-latex-base,
          texlive-latex-recommended,
          ${misc:Depends}
+Suggests: texlive-fonts-extra
 Description: Norwegian A4 letter style for LaTeX
  A little LaTeX letter class for personal letters.  It is called ``brev''
  because that is the Norwegian name for letter, and for avoiding name
